<?php
	$StrCmd=V($_POST['TxtAc']);
	$StrEmp=V($_POST['CboEmp']);
	//
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//		
		if (!($StrExt== "jpg" || $StrExt=="JPG")){ 
			$LStrMsg="La extension debe ser JPG : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{
			$NRO_IMG=GenGI();
			$StrFileNew=$NRO_IMG.".jpg";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){ 				
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('TxtMen').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('TxtMen').focus();";
				$StrGT="S";		
			} 
		}
		// 
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('CmdB').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>